Playbook-API
  1. Core Endpoints
Playbook-API
  • Global
    • Overview
    • Base URL (Servers)
    • Authentication
    • Rate Limits + Usage
    • Errors
    • League / sportKey Conventions
    • Support
  • Core Endpoints
    • Health
      GET
    • Me
      GET
    • Teams
      GET
    • Team Stats
      GET
    • Injuries
      GET
    • Splits
      GET
    • Splits (Historical/History)
      GET
    • Odds-Games
      GET
    • Lines
      GET
    • Games
      GET
    • Recent Form
      GET
    • Head-to-Head
      GET
  • MLB
    • Pitcher Stats (Season)
      GET
    • Starting Pitchers
      GET
    • Ballpark Weather
      GET
    • Strikeout Predictor
      GET
  1. Core Endpoints

Recent Form

GET
https://api.playbook-api.com/v1/recent-form
Last modified:2026-01-20 06:39:08
Get recent completed games for a specific team or all teams in a league.
Examples:
Get last 10 games for the New York Knicks:
https://api.playbook-api.com/v1/recent-form?league=nba&team=NYK&limit=10&api_key=YOUR_API_KEY
Get home games only for the Lakers:
https://api.playbook-api.com/v1/recent-form?league=nba&team=LAL&homeAway=home&api_key=YOUR_API_KEY
Get all recent NFL games:
https://api.playbook-api.com/v1/recent-form?league=nfl&api_key=YOUR_API_KEY

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.playbook-api.com/v1/recent-form??api_key%3Dyour_api_key&league=nba&team or teamName=null&limit=10&homeAway=all&daysFrom=3' \
--header 'x-api-key: your_api_key;'
Response Response Example
{
  "league": "NFL",
  "team": "Los Angeles Rams",
  "teamQuery": "LAR",
  "teamId": "lar",
  "teamAbbreviation": "LAR",
  "homeAway": "all",
  "count": 5,
  "updatedAt": "2025-01-20T12:00:00.000Z",
  "season": "2024-25",
  "recordInSpan": {
    "wins": 3,
    "losses": 2
  },
  "winStreak": 2,
  "avgPointsFor": 24.8,
  "avgPointsAgainst": 21.2,
  "avgMargin": 3.6,
  "data": [
    {
      "date": "2025-01-19",
      "commenceTime": "2025-01-19T18:00:00Z",
      "opponent": "San Francisco 49ers",
      "result": "W",
      "score": "27-24",
      "teamScore": 27,
      "opponentScore": 24,
      "margin": "+3",
      "totalPoints": 51,
      "homeAway": "home",
      "homeTeamName": "Los Angeles Rams",
      "awayTeamName": "San Francisco 49ers",
      "homeScore": 27,
      "awayScore": 24,
      "completed": true
    }
  ]
}
Modified at 2026-01-20 06:39:08
Previous
Games
Next
Head-to-Head
Built with